# trgt_gif.cpp File Reference

BMP Target Module. More...

`#include <ETL/stringf>`
`#include "trgt_gif.h"`
`#include <stdio.h>`

## Defines

#define | SYNFIG_TARGET
#define | MAX_FRAME_RATE (20.0)
#define | DISPOSE_UNDEFINED (0)
#define | DISPOSE_NONE (1<<2)
#define | DISPOSE_RESTORE_BGCOLOR (2<<2)
#define | DISPOSE_RESTORE_PREVIOUS (3<<2)

## Functions

| SYNFIG_TARGET_INIT (gif)
| SYNFIG_TARGET_SET_NAME (gif,"gif")
| SYNFIG_TARGET_SET_EXT (gif,"gif")
| SYNFIG_TARGET_SET_VERSION (gif,"0.1")
| SYNFIG_TARGET_SET_CVS_ID (gif,"$Id$")

## Detailed Description

BMP Target Module.

$Id$

=== N O T E S ===========================================================

=========================================================================

## Define Documentation

#define SYNFIG_TARGET

#define MAX_FRAME_RATE (20.0)

Referenced by gif::set_rend_desc().

#define DISPOSE_UNDEFINED (0)

#define DISPOSE_NONE (1<<2)

Referenced by gif::end_frame().

#define DISPOSE_RESTORE_BGCOLOR (2<<2)

#define DISPOSE_RESTORE_PREVIOUS (3<<2)

Referenced by gif::end_frame().

## Function Documentation

SYNFIG_TARGET_INIT | ( | gif |  | ) |

SYNFIG_TARGET_SET_NAME | ( | gif | ,
|  | "gif" |  |
| ) |  |  |

SYNFIG_TARGET_SET_EXT | ( | gif | ,
|  | "gif" |  |
| ) |  |  |

SYNFIG_TARGET_SET_VERSION | ( | gif | ,
|  | "0.1" |  |
| ) |  |  |

SYNFIG_TARGET_SET_CVS_ID | ( | gif | ,
|  | "$Id$" |  |
| ) |  |  |